gen_exp_family {adaptMT} | R Documentation

## Generate exp_family Objects for Exponential Families

### Description

`exp_family` objects contain all required information in an exponential family to perform the E-step. The exponential function is encoded by

h(p; η) = exp{(η(μ) - η(μ*)) g(p) - (A(μ) - A(μ*))}

where g(p) is an arbitrary transformation, μ is the mean parameter, η is the natural parameter, and A(μ) is the partition function. The extra redundant parameter μ* is to guarantee that U([0, 1]) belongs to the class.

### Usage

    gen_exp_family(g, ginv, eta, mustar, A, name = NULL, family = NULL)

    beta_family()

    inv_gaussian_family()

### Arguments

`g` | a function. An transformation of p-values
`ginv` | a function. The inverse function of `g`
`eta` | a function. The natural parameter as a function of the mean parameter `mu`
`mustar` | a scalar. The mean parameter that gives U([0, 1])
`A` | a function. The partition function
`name` | a string. A name for the family. NULL by default
`family` | an object of class "`family`" from `stats` package. The family used for model fitting in `glm`, `gam`, `glmnet`, etc..

### Details

Beta family (`beta_family()`): modeling p-values as Beta-distributed random variables, i.e. g(p) = -log(p), η(μ) = -1 / μ, μ* = 1, A(μ) = log(μ), name = "beta" and family = Gamma(). Beta-family is highly recommended for general problems and used as default.

Inverse-gaussian family (`inv_gaussian_family()`): modeling p-values as transformed z-scores, i.e. g(p) = Φ^{-1}(p) (Φ is the c.d.f. of a standard normal random variable), η(μ) = μ, μ* = 0, A(μ) = μ^2 / 2, name = "inv_gaussian" and family = gaussian().

### Value

an object of class "exp_family". This includes all inputs and `h`, the density function.

[Package adaptMT version 1.0.0 Index]